Subject: atoi() missing on Win98, perl extension breaks (was: Re: bug in w32api?)
From: "Gerrit P. Haase" <[email-masked]>
To: Jacek Piskozub <[email-masked]>
Cc: [email-masked], Yitzchak Scott-Thoennes <[email-masked]>
Date: Mon, 10 Jan 2005 22:02:07 +0100

Jacek Piskozub wrote:

> When the atom clock displayed 10/01/2005 21:27,  Gerrit P. Haase emitted 
> the following byte stream:
> 
>> Jacek Piskozub wrote:
>>
>>> After updating to perl 5.8.6-1 I got an missing ntdll.dll export 
>>> error. Because I use Windows Me, I do not obviously have any 
>>> ntdll.dll. It seems the new perl was compiled for WindowsNT/2k/Xp only.
>>
>>
>>
>> A bug in w32api?

No.  It is the statically linked in Win32CORE extension.

> The offending export is directly from perl.exe, it seems.
> 
> The error pop-up says the same story:
> 
> The PERL.EXE file is linked to missing export NTDLL.DLL:atoi
> 
> All I needed to trigger it was "perl -V".

Hmmm, atoi() is not available on Win98/ME?  Strange.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/